Bug 981487 - [Doc Bug Fix] Executor pool types are listed with no description or advice
[Doc Bug Fix] Executor pool types are listed with no description or advice
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity high
: ER9
: EAP 6.3.0
Assigned To: David Michael
Russell Dickenson
: Documentation, FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 19:00 EDT by James Livingston
Modified: 2016-02-21 19:56 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Instance Name: Not Defined Build: CSProcessor Builder Version 1.8 Build Name: 11865, Administration and Configuration Guide-6.1-3 Build Date: 23-05-2013 10:40:22
Last Closed: 2014-08-06 10:35:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Livingston 2013-07-04 19:00:42 EDT
Title: Define Thread Pools for HTTP Connector in JBoss Enterprise Application Platform

Describe the issue:

The docs list the six different kinds of executor pool, but does not describe what the differences between them are or how to choose which to use. I think that the scheduled executor pool also makes no sense for the web connector, which is what the topic is about.


Suggestions for improvement:

Include a description of the executor pool types, and some advice on which one to pick.
Comment 5 Nidhi 2014-06-18 12:39:06 EDT
James, the source that I'm looking at is here: https://community.jboss.org/wiki/ThreadPoolConfiguration#jive_content_id_Executor_Deployment_Types

Could you please provide any other references to know more about Thread Pool configuration?
Comment 9 Jan Stefl 2014-07-03 10:43:40 EDT
Verified in Revision 6.3.0-31 - PASSED

Note You need to log in before you can comment on or make changes to this bug.